Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
webcam::Webcam_2_0_1 Interface Reference

The webcam interface. More...

`import"Webcam.idl";`

## Public Member Functions
Information_3_0_0 | getInformation ()
| Retrieve information of a specific webcam. More...
Settings_2_0_0 | getSettings ()
| Retrieve settings of a specific webcam. More...
int | setSettings (in Settings_2_0_0 settings)
| Change settings of a specific webcam. More...
int | setControls (in Controls controls)
| Apply webcam control settings without storing them. More...
Controls | getControlDefaults ()
| Retrieve the default value of the controls. More...

## Public Attributes
valueobject | SettingsChangedEvent: event::UserEvent { Settings_2_0_0 oldSettings
| This event is emitted after the settings of a webcam were changed. More...
Settings_2_0_0 | newSettings
| the new settings

## Detailed Description

The webcam interface.

## Member Function Documentation

## ◆ getControlDefaults()

Controls webcam::Webcam_2_0_1::getControlDefaults | ( |  | ) |

Retrieve the default value of the controls.

Returns
  Controls

## ◆ getInformation()

Information_3_0_0 webcam::Webcam_2_0_1::getInformation | ( |  | ) |

Retrieve information of a specific webcam.

Returns
  Information

## ◆ getSettings()

Settings_2_0_0 webcam::Webcam_2_0_1::getSettings | ( |  | ) |

Retrieve settings of a specific webcam.

Returns
  Settings

## ◆ setControls()

int webcam::Webcam_2_0_1::setControls | ( | in Controls | controls | ) |

Apply webcam control settings without storing them.

Parameters

  controls | Control settings

Returns
  0 if success

## ◆ setSettings()

int webcam::Webcam_2_0_1::setSettings | ( | in Settings_2_0_0 | settings | ) |

Change settings of a specific webcam.

Parameters

  settings | New webcam settings

Returns
  0 if success

## Member Data Documentation

## ◆ SettingsChangedEvent

valueobject webcam::Webcam_2_0_1::SettingsChangedEvent

This event is emitted after the settings of a webcam were changed.

the old settings

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Webcam.idl